summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:29:23 +0000
committerBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:29:23 +0000
commit6940c777bb5771a26e0b4d2b637507e51f14e304 (patch)
tree2384a28a6739c20c8bee00a68ce15c5ad7c6d212
parent... (diff)
...
-rw-r--r--gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild41
-rw-r--r--gentoo-linux/net-misc/anytun/metadata.xml1
2 files changed, 11 insertions, 31 deletions
diff --git a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
index 3f3433d..e5c1a21 100644
--- a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
+++ b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
@@ -11,14 +11,14 @@ SRC_URI="http://anytun.org/~equinox/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="doc examples gcrypt"
+IUSE="examples gcrypt"
COMMON_DEPEND=">=dev-libs/boost-1.35
<dev-libs/boost-1.40
gcrypt? ( dev-libs/libgcrypt )
!gcrypt? ( dev-libs/openssl )"
DEPEND="${COMMON_DEPEND}
- doc? ( <app-text/asciidoc-8.5.0 )" # asciidoc a2x >= 8.5.0 requires the -L switch
+ <app-text/asciidoc-8.5.0" # asciidoc a2x >= 8.5.0 requires an -L switch not present in lower versions
RDEPEND="${COMMON_DEPEND}"
S="${WORKDIR}/${P}/src"
@@ -33,10 +33,8 @@ src_compile() {
emake || die "make failed"
- if use doc ; then
- einfo "Building manpages"
- emake manpage || die "failed building manpages"
- fi
+ einfo "Building manpages"
+ emake manpage || die "failed building manpages"
}
src_install() {
@@ -50,18 +48,19 @@ src_install() {
insinto /usr/share/${P}/wireshark-lua/
doins "${pkgroot}"/wireshark-lua/* || die "failed to install wireshark-lua contrib script"
+
+ dodoc "${pkgroot}/AUTHORS" "${pkgroot}/ChangeLog" "${pkgroot}/README" || die "failed to install docs"
+ cd "${S}/man/"
+ doman anyrtpproxy.8 anytun-config.8 anytun-controld.8 anytun-showtables.8 anytun.8 || die "failed to install manpages"
+
if use examples; then
insinto /usr/share/doc/${PF}/etc-anytun-examples/
doins -r "${pkgroot}"/etc/anytun/* || die "failed to install examples"
fi
- if use doc; then
- dodoc "${pkgroot}/AUTHORS" "${pkgroot}/ChangeLog" "${pkgroot}/LICENSE" "${pkgroot}/README" || die "failed to install docs"
- cd "${S}/man/"
- doman anyrtpproxy.8 anytun-config.8 anytun-controld.8 anytun-showtables.8 anytun.8 || die "failed to install manpages"
- fi
}
pkg_config() {
+ [ -e "${ROOT}"/etc/anytun ] && die "${ROOT}/etc/anytun/ already present, rm -R it first "
if [ ! -d "${ROOT}"/usr/share/doc/${PF}/etc-anytun-examples/ ]; then
die "can't copy example configs since examples were not installed (reemerge with USE=\"examples\")"
fi
@@ -72,32 +71,14 @@ pkg_config() {
pkg_postinst() {
enewgroup anytun
enewuser anytun -1 -1 /var/run/anytun anytun
- if use examples; then
- einfo "Example configuration files have been installed in"
- einfo " /usr/share/doc/${PF}/etc-anytun-examples/"
- einfo "You can copy them to /etc/anytun using"
- einfo "# emerge --config anytun"
- einfo
- else
- einfo "You did not install examples."
- einfo "If you need example configs to get you started, "
- einfo "you can extract them from the anytun.tar.gz or "
- einfo "# tar xzv --strip-components 3 -f ${DISTDIR}/${P}.tar.gz -C /etc/anytun/ ${P}/etc/anytun"
- einfo "or visit the anytun wiki online"
- einfo
- fi
einfo "Note that each VPN gets its own directory under /etc/anytun/"
+ einfo " (see examples provided with the package)"
einfo "You can either add tunnels to /etc/anytun/autostart and"
einfo "start them using /etc/init.d/anytun"
einfo "Or you can forget the autostart file and create"
einfo "gentoo-style anytun.{VPN} initrd scripts for each VPN"
einfo "# ln -s /etc/init.d/anytun /etc/init.d/anytun.client1"
einfo
- einfo "Don't forget to "
- einfo "# rc-update add anytun default"
- einfo "or"
- einfo "# rc-update add anytun.client1 default"
- einfo
einfo "You can disect anytun traffic using wireshark by plugging the script"
einfo " /usr/share/${P}/wireshark-lua/satp.lua into wireshark"
}
diff --git a/gentoo-linux/net-misc/anytun/metadata.xml b/gentoo-linux/net-misc/anytun/metadata.xml
index 56c3806..b01176b 100644
--- a/gentoo-linux/net-misc/anytun/metadata.xml
+++ b/gentoo-linux/net-misc/anytun/metadata.xml
@@ -4,7 +4,6 @@
<herd>anytun</herd>
<longdescription>Anytun is an implementation of the Secure Anycast Tunneling Protocol. It provides similary functionality to openvpn but with less overhead, more flexible configuration and the ability use an anycast ip and therefore mulitple endpoints at the same time.</longdescription>
<use>
- <flag name='doc'>Build and install manpages (depend on asciidoc)</flag>
<flag name='gcrypt'>Prefer <pkg>dev-libs/libgcrypt</pkg> over
<pkg>dev-libs/openssl</pkg> for encryption
</flag>